<?xml version="1.0"?>
<!--
 Adwaita Extra meta data

 Copyright (C) 2022  Juan Pablo Ugarte
-->
<meta>
  <types>

    <AdwHeaderBar>
      <children-types>
        <type max-children="1" linked-property-id="title-widget">title</type>
        <type>start</type>
        <type>end</type>
      </children-types>
    </AdwHeaderBar>

    <AdwActionRow>
      <properties>
        <property id="icon-name" type="CmbIconName"/>
        <property id="subtitle" translatable="True"/>
      </properties>
    </AdwActionRow>

    <AdwAvatar>
      <properties>
        <property id="icon-name" type="CmbIconName"/>
      </properties>
    </AdwAvatar>

    <AdwButtonContent>
      <properties>
        <property id="icon-name" type="CmbIconName"/>
        <property id="label" translatable="True"/>
      </properties>
    </AdwButtonContent>

    <AdwExpanderRow>
      <properties>
        <property id="icon-name" type="CmbIconName"/>
        <property id="subtitle" translatable="True"/>
      </properties>
    </AdwExpanderRow>

    <AdwLeafletPage>
      <properties>
        <property id="child" is-inline-object="True"/>
      </properties>
    </AdwLeafletPage>

    <AdwSqueezerPage>
      <properties>
        <property id="child" is-inline-object="True"/>
      </properties>
    </AdwSqueezerPage>

    <AdwPreferencesPage>
      <properties>
        <property id="icon-name" type="CmbIconName"/>
        <property id="title" translatable="True"/>
      </properties>
    </AdwPreferencesPage>

    <AdwPreferencesRow>
      <properties>
        <property id="title" translatable="True"/>
      </properties>
    </AdwPreferencesRow>

    <AdwSplitButton>
      <properties>
        <property id="icon-name" type="CmbIconName"/>
        <property id="label" translatable="True"/>
      </properties>
    </AdwSplitButton>

    <AdwStatusPage>
      <properties>
        <property id="child" is-inline-object="True"/>
        <property id="icon-name" type="CmbIconName"/>
        <property id="description" translatable="True"/>
        <property id="title" translatable="True"/>
      </properties>
    </AdwStatusPage>

    <AdwViewStackPage>
      <properties>
        <property id="child" is-inline-object="True"/>
        <property id="icon-name" type="CmbIconName"/>
        <property id="title" translatable="True"/>
      </properties>
    </AdwViewStackPage>

    <AdwPreferencesGroup>
      <properties>
        <property id="description" translatable="True"/>
        <property id="title" translatable="True"/>
      </properties>
    </AdwPreferencesGroup>

    <AdwTabPage>
      <properties>
        <property id="child" is-inline-object="True"/>
        <property id="title" translatable="True"/>
        <property id="tooltip" translatable="True"/>
      </properties>
    </AdwTabPage>

    <AdwToast>
      <properties>
        <property id="button-label" translatable="True"/>
        <property id="title" translatable="True"/>
      </properties>
    </AdwToast>

    <AdwViewSwitcherTitle>
      <properties>
        <property id="subtitle" translatable="True"/>
        <property id="title" translatable="True"/>
      </properties>
    </AdwViewSwitcherTitle>

    <AdwViewSwitcherTitle>
      <properties>
        <property id="subtitle" translatable="True"/>
        <property id="title" translatable="True"/>
      </properties>
    </AdwViewSwitcherTitle>

    <AdwWindowTitle>
      <properties>
        <property id="subtitle" translatable="True"/>
        <property id="title" translatable="True"/>
      </properties>
    </AdwWindowTitle>

  </types>

  <categories>
    <category name="control">
      <AdwComboRow/>
      <AdwSplitButton/>
      <AdwViewSwitcher/>
    </category>

    <category name="display">
      <AdwAvatar/>
      <AdwButtonContent/>
      <AdwCallbackAnimationTarget/>
      <AdwCarouselIndicatorDots/>
      <AdwCarouselIndicatorLines/>
      <AdwSpringAnimation/>
      <AdwTimedAnimation/>
      <AdwViewSwitcherTitle/>
      <AdwWindowTitle/>
    </category>

    <category name="layout">
      <AdwActionRow/>
      <AdwBin/>
      <AdwCarousel/>
      <AdwClamp/>
      <AdwClampScrollable/>
      <AdwExpanderRow/>
      <AdwFlap/>
      <AdwHeaderBar/>
      <AdwLeaflet/>
      <AdwLeafletPage/>
      <AdwPreferencesGroup/>
      <AdwPreferencesPage/>
      <AdwPreferencesRow/>
      <AdwSqueezer/>
      <AdwSqueezerPage/>
      <AdwStatusPage/>
      <AdwTabBar/>
      <AdwTabPage/>
      <AdwTabView/>
      <AdwToast/>
      <AdwToastOverlay/>
      <AdwViewStack/>
      <AdwViewStackPage/>
      <AdwViewSwitcherBar/>
    </category>

    <category name="model">
      <AdwEnumListItem/>
      <AdwEnumListModel/>
    </category>

    <category name="toplevel">
      <AdwApplicationWindow/>
      <AdwPreferencesWindow/>
      <AdwWindow/>
    </category>
  </categories>

</meta>
  
